package com.hwrj.cloud.admin.dto;

import com.hwrj.cloud.admin.model.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel(value = "供应商信息")
public class UmsCompanyDto extends UmsCompanyInfo  {

    @ApiModelProperty(value = "供应商图片信息")
    private List<UmsCompanyFile> files;

    @ApiModelProperty(value = "供应商店铺信息")
    private List<UmsCompanyShop> shops;
    @ApiModelProperty(value = "供应商基地信息")
    private List<UmsMemberOriginParam> origins;

    public List<UmsMemberOriginParam> getOrigins() {
        return origins;
    }

    public void setOrigins(List<UmsMemberOriginParam> origins) {
        this.origins = origins;
    }

    public List<UmsCompanyFile> getFiles() {
        return files;
    }

    public void setFiles(List<UmsCompanyFile> files) {
        this.files = files;
    }

    public List<UmsCompanyShop> getShops() {
        return shops;
    }

    public void setShops(List<UmsCompanyShop> shops) {
        this.shops = shops;
    }
}
